Loading...
Searching...
No Matches
BALL::SESTriangulator Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/triangulatedSES.h>`

## Public Member Functions

Constructors and Destructors
| SESTriangulator ()
| SESTriangulator (TriangulatedSES *tses)
virtual | ~SESTriangulator ()

## Accessors

TriangulatedSES * | tses_
std::vector< TrianglePoint * > | point_
std::vector< std::list< TriangleEdge * > > | edge_
HashMap< Size, std::list< TrianglePoint * > > | template_spheres_
double | sqrt_density_
void | run ()

## Detailed Description

Generic SESTriangulator Class.

Definition at line 163 of file triangulatedSES.h.

## Constructor & Destructor Documentation

## SESTriangulator() [1/2]

BALL::SESTriangulator::SESTriangulator | ( |  | ) |

Default constructor. This method creates a new SESTriangulator object.

## SESTriangulator() [2/2]

BALL::SESTriangulator::SESTriangulator | ( | TriangulatedSES * | tses | ) |

Detailed constructor.

Parameters

  tses | a pointer to the TriangulatedSES to compute

## ~SESTriangulator()

virtual BALL::SESTriangulator::~SESTriangulator | ( |  | ) |

virtual

Destructor. Destructs the SESTriangulator object.

## Member Function Documentation

## run()

void BALL::SESTriangulator::run | ( |  | ) |

Exceptions

  BALL::Exception::GeneralException |
  BALL::Exception::DivisionByZero |

## Member Data Documentation

## edge_

std::vector<std::list<TriangleEdge*> > BALL::SESTriangulator::edge_

protected

Definition at line 346 of file triangulatedSES.h.

## point_

std::vector<TrianglePoint*> BALL::SESTriangulator::point_

protected

Definition at line 345 of file triangulatedSES.h.

## sqrt_density_

double BALL::SESTriangulator::sqrt_density_

protected

Definition at line 348 of file triangulatedSES.h.

## template_spheres_

HashMap<Size, std::list<TrianglePoint*> > BALL::SESTriangulator::template_spheres_

protected

Definition at line 347 of file triangulatedSES.h.

## tses_

TriangulatedSES* BALL::SESTriangulator::tses_

protected

Definition at line 344 of file triangulatedSES.h.